{% extends 'checkout/layout.html' %}

{% block checkout_nav %}
    {% include 'checkout/nav.html' with step=3 %}
{% endblock %}

{% block content %}
    <form class="row form-block justify-content-start" method="post" action="." data-parsley-validate="">
        {% csrf_token %}
        <div class="col-lg-8 sdress-sec">
            <div class="wrap">
                <div class="title">Личные данные получателя заказа:</div>
                <div class="form-inline inform-form">
                    <div class="form-group" id="contactsFormNameField">
                        <label>ФИО</label>
                        <input type="text" class="form-control" required placeholder="Фамилия Имя Отчество" name="name"
                            data-parsley-required="true" data-parsley-maxlength="255" data-parsley-class-handler="#contactsFormNameField"
                           {% if contacts.name %}value="{{ contacts.name }}"{% endif %}
                        >
                    </div>
                    <div class="form-group" id="contactsFormEmailField">
                        <label>эл. почта</label>
                        <input type="email" class="form-control" placeholder="" name="email"
                            data-parsley-maxlength="255"
                            data-parsley-class-handler="#contactsFormEmailField"
                            {% if contacts.email %}value="{{ contacts.email }}"{% endif %}
                        >
                        <small>Для получения информации о заказе</small>
                    </div>
                    <div class="form-group" id="contactsFormPhoneField">
                        <label>Телефон:</label>
                        <input type="text" class="form-control phone-input" required placeholder="" name="phone_number"
                            data-parsley-required="true" data-parsley-maxlength="25"
                            data-parsley-class-handler="#contactsFormPhoneField"
                            data-parsley-validate-phone-number=""
                            {% if contacts.phone_number %}value="{{ contacts.phone_number }}"{% endif %}
                        >
                    </div>
                    <div class="form-group ">
                        <label>Комментарии к заказу:</label>
                        <textarea class="form-control" placeholder="" name="notes">{% if contacts.notes %}{{ contacts.notes }}{% endif %}</textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-md-12 widgets-sec inform-widgets">
            <div class="wrap count-wid">
                <table class="table">
                    <tbody>
                    <tr>
                        <td>Товаров на сумму:</td>
                        <td><span class="price">
                            {% if basket.is_tax_known %}
                                {{ basket.total_incl_tax|floatformat:"0" }}
                            {% else %}
                                {{ basket.total_excl_tax|floatformat:"0" }}
                            {% endif %}
                        </span>
                            <span class="rub-icon">
                                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                        <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                    </svg>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td>Доставка:</td>
                        <td>
                            <span class="price">
                                {% if shipping_charge_resolved %}
                                    {% if shipping_charge.is_tax_known %}
                                        {{ shipping_charge.incl_tax|floatformat:"0" }}
                                    {% else %}
                                        {{ shipping_charge.excl_tax|floatformat:"0" }}
                                    {% endif %}
                                {% else %}
                                    -
                                {% endif %}
                            </span>
                            <span class="rub-icon">
                                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                    <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                </svg>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td>Всего к оплате:</td>
                        <td>
                            <span class="price price__big">
                                {% if order_total.is_tax_known %}
                                    {{ order_total.incl_tax|floatformat:"0" }}
                                {% else %}
                                    {{ order_total.excl_tax|floatformat:"0" }}
                                {% endif %}
                            </span>
                            <span class="rub-icon">
                                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                    <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                </svg>
                            </span>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            {% if shipping_method.require_address %}
            <div class="wrap del-wid">
                <p>Доставка</p>
                <p>По адресу: {{ shipping_address.onestring }} </p>
                <p>Дата доставки: {{ shipping_date|date:"d.m.Y" }} </p>
            </div>
            {% endif %}
            <button class="btn btn-block btn__gold">ДАЛЕЕ <i class="fa fa-angle-right"></i></button>
        </div>
    </form>
{% endblock %}